import {select,arc} from 'd3';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');
const g = svg.append('g')
	.attr('transform', 'translate(480,250)');
const circle = g.append('circle')

  .attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeRadius = 30;

const eyesG = g.append('g')
	.attr('transform', 'translate(0, -70)');

const leftEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx',  - eyeSpacing);

const rightEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', + eyeSpacing);

const leftEyebrow = eyesG.append('rect')
	.attr('x', -100-35)
	.attr('y', -70)
	.attr('height', 15)
	.attr('width', 70)
	.transition().duration(1000)
		.attr('y', -100)
	.transition().duration(1000)
		.attr('y', -70);
		

const rightEyebrow = eyesG.append('rect')
	.attr('x', 100-35)
	.attr('y', -70)
	.attr('height', 15)
	.attr('width', 70)
	.transition().duration(1000)
		.attr('y', -100)
	.transition().duration(1000)
		.attr('y', -70);
const mouth = g.append('path')
	.attr('d', arc()({ 
    innerRadius: 0,
  	outerRadius: 160,
  	startAngle: Math.PI/2,
  	endAngle: Math.PI * 3/2
  }));
	